Opened 2 years ago

Last modified 2 years ago

#49094 new defect

phantomjs 2.0 fails to build on OS X 10.11 El Capitan

Reported by: brandon@… Owned by: stromnov (Andrew Stromnov)
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: elcapitan Cc:
Port: phantomjs

Description

Build log is attached from brand new El Capitan install with fresh MacPorts 2.3.4. The failure appears to be due to build problems in the version of Qt5 (5.3) that ships with phantomjs 2.0.

As a side note, given the regressions mentioned in the release notes for version 2.0 it might be prudent to roll this port back to 1.9 or ship a 1.9 compatability port for a while: http://phantomjs.org/release-2.0.html

Attachments (1)

main.log (1.2 MB) - added by brandon@… 2 years ago.

Download all attachments as: .zip

Change History (4)

Changed 2 years ago by brandon@…

comment:1 Changed 2 years ago by brandon@…

  • Cc brandon@… added

Cc Me!

comment:2 Changed 2 years ago by stromnov (Andrew Stromnov)

PhantomJS is highly dependent on shipped QT, and even provides some prebuilt binaries for OSX 10.8, 10.9 and 10.10 for successful compilation. But QT versions prior to version 5.5.1 officially are not compatible with El Capitan. So, we have no other easy options but waiting for new PhantomJS release or rolling back to OSX 10.10.

comment:3 Changed 2 years ago by ryandesign (Ryan Schmidt)

  • Cc stromnov@… openmaintainer@… brandon@… removed
  • Keywords elcapitan added
  • Owner changed from macports-tickets@… to stromnov@…
Note: See TracTickets for help on using tickets.